import React from 'react';
import cx from 'classnames';
import { Props } from './.types/IconPropsType';

export function Icon({ className, children, collapse }: Props) {
  const classes = cx(`gc-icon ${className}`, {
    'gc-icon-collapse': collapse,
  });

  return <span className={classes}>{children}</span>;
}

Icon.defaultProps = {
  className: 'fill-neutral-primary dark:fill-yellow-primary',
  collapse: false,
};
